get
https://api.searoutes.com/v3/ets
Beta notice : this endpoint is part of our v3-suite beta testing phase.
Please note that:
- The behavior and structure may change before public release.
- Some features or results may still be incomplete or evolving.
This endpoint allows you to retrieve the ETS emissions, estimated carbon cost, and surcharges of :
- your shipment, by providing the unique identifier of your shipment (
id). - an order on a routing object, by providing unique identifiers of your routing object (route, route collection, leg or hub) and your order (
id).
The response is a JSON including the ets results of the requested object and the ets results of its sub-components (routes of a route collection, legs and hubs of a route).
This endpoint compares the carbon cost derived from the EU ETS scheme against either:
- user-provided surcharges (
surchargePerTeu) - or Searoutes’ own baseline surcharges per carrier and trade lane.
Notes and considerations
idlifetime: theidsremain valid for a limited period (at least 1 hour) during the beta phase.- Carrier: the surcharge applied is retrieved from the route based on the carrier provided when querying a route.
coverage: the ETS coverage ratio reflects the share of voyage emissions under EU ETS jurisdiction.complianceFactor: the compliance factor in effect at the shipment date.carbonPrice: average price as per the carbon market price.- Surcharges: the ETS surcharge used in the computation can come from two possible sources.
- If the user provides a
surchargePerTeuvalue, this input is used directly to calculate thepricingGapandextraSurchargefields, showing how the user’s surcharge compares to the estimated ETS carbon cost. - If no surcharge is provided, Searoutes checks its internal reference table of public carrier surcharges, and applies it to the computation.
The
sourcefield is either set topublicoruser_inputin the response, allowing users to identify which source of surcharge was applied.
If no user input or public surcharge is available, the computation still returns ETS cost values, but thesurchargePerTeuandpricingGapfield are leftnull.
In all cases, the ETS coverage, carbon price, and compliance factor are returned.
- If the user provides a
Support endpoints and resources
- Post route collection: use the
/v3/routeCollectionsendpoint to search routes. - Get route: use the
/v3/routes/{id}endpoint to retrieve details of a route. - Get route collection: use the
/v3/routeCollections/{id}endpoint to retrieve details of a route collection. - Get order: use the
/v3/orders/{id}endpoint to retrieve details of an order. - Understand our methodology